#include <iostream>
#include <string>
#include <queue>

using namespace std;

typedef struct node
{
	bool konec;
	node *data[26];
}node;

class trije
{
	public:
		trije()
		{
			root = new node;
			for(int i = 0; i < 26; ++i)
			{
				root.data[i] = null;
				root.konec = false;
			}
		}
		//~trije();

		void Clear()
		{
			root = null;
			root = new node;
		}

		void Add(const string &word, int i, node *where)
		{
			int index;
			if(i == word.size())
			{
				where.konec = true;
				return;
			}
			else
			{
				index = word[i] - 'a';
				where.data[index] = new node;
				Add(word, i + 1, where.data[index]);
			}
		}

		bool Find(const string &word, int i, node *where)
		{
			int index;
			if(where == null)
			{
				return false;
			}

			if(i < word.size())
			{
				index = word[i] - 'a';
				return Find(word, i + 1, where.data[index]);
			}
			else
			{
				return where.konec;
			}
		}

		node *root;
};

trije slova;

int main()
{
	string str;
	queue<string> line1, line2, shody2;

	while(1)
	{
		line1.clear();
		line2.clear();
		slova.Clear();

		cin >> str;
		if(str == ".")
			break;

		while(str != ".")
		{
			line1.push_back(str);
			slova.Add(str, 0, slova.root);

			///////////
			cin >> str;
		}

		cin >> str;
		while(str != ".")
		{
			line1.push_back(str);
			slova.Add(str, 0, slova.root);

			///////////
			cin >> str;
		}
	}

	return 0;
}